Subject: bug#17351: Trunk emacs splats .emacs.desktop at startup

From: Juri Linkov <[email-masked]>
Date: Wed, 25 Jun 2014 02:23:54 +0300

> As I see it, the point is that normal auto-save distinguishes automatic
> save from a manual save initiated by the user, by using separate files.
> Whereas desktop's version of auto-save removes that distinction.
> (But I'm not familiar with the details.)

It's possible to periodically update the desktop file buffer,
but not to save it, thus allowing normal auto-save to create
a #desktop# backup.  But this might cause some problems, e.g.
modes that call `save-some-buffers' like `compilation-mode'
will ask whether to save the updated desktop file.  Also it's
not clear how to restore the auto-saved backup copy after a crash.

OTOH, saving the desktop file buffer will create a desktop~ backup
that the user can restore when something goes wrong.  This is
implemented in the latest patch that is intended for the trunk.

Meanwhile, I installed the patch that temporarily disables the
autosave in `desktop-read' into the emacs-24 branch, so people
won't lose the desktop in case of errors.